Subject: bug#19194: 24.4.50; `window-body-width' is not dynamic relative to font size changes

From: martin rudalics <[email-masked]>
Date: Thu, 27 Nov 2014 19:35:38 +0100

>> AFAICT this does not change the height of the default face - it affects
 >> how the display engine calculates the height of text when displaying a
 >> buffer current at the time `text-scale-adjust' was called.
 >
 > No, it works via face remapping, see text-scale-mode.  IOW, it does
 > change the height of the default face by replacing it with another
 > face.

On a per-buffer basis.  The height of the default face is unaffected
here.  I suppose the display engine applies the scaling lazily, whenever
it has to retrieve the height of the default face.

martin